Indexers - Delete
删除索引器。
DELETE {endpoint}/indexers('{indexerName}')?api-version=2023-10-01-Preview
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
搜索服务的终结点 URL。 |
|
indexer
|
path | True |
string |
要删除的索引器的名称。 |
|
api-version
|
query | True |
string |
客户端 API 版本。 |
请求头
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
随请求一起发送的跟踪 ID,以帮助进行调试。 |
|
| If-Match |
string |
定义 If-Match 条件。 仅当服务器上的 ETag 与此值匹配时,才会执行该操作。 |
|
| If-None-Match |
string |
定义 If-None-Match 条件。 仅当服务器上的 ETag 与此值不匹配时,才会执行该操作。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 204 No Content | ||
| 404 Not Found | ||
| Other Status Codes |
错误响应。 |
示例
SearchServiceDeleteIndexer
示例请求
DELETE https://myservice.search.windows.net/indexers('myindexer')?api-version=2023-10-01-Preview
示例响应
定义
SearchError
描述 API 的错误条件。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
服务器定义的错误代码集之一。 |
| details |
导致此报告错误的特定错误的详细信息数组。 |
|
| message |
string |
错误的人工可读表示形式。 |